# Class: shift_region

## LocusZoom_Widgets~shift_region()

Button to shift plot region forwards or back by a `step` increment provided in the layout

## Constructor

#### new shift_region()

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`layout.step` | number | <optional> | 50000 | The stepsize to change the region by
`layout.button_html` | string | <optional> |  | Label
`layout.button_title` | string | <optional> |  | Mouseover text

Source:
  - components/toolbar/widgets.js, line 1167
See:
  - module:LocusZoom_Widgets~BaseWidget for additional options